Anonymous Login
2019-09-16 09:09 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000506v2.0 Release (Closed)[All Projects] Generalpublic2010-07-09 05:28
Reporterlaussetdelon 
Assigned To 
PriorityimmediateSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000506: Upgrade from 1.2.0 to 2.0
DescriptionTrying to upgrade I get the message after logging in.


ERROR: /var/www/project/classes/w2p/Database/Query.class.php(1115) : query failed(SELECT sysval_value FROM ((`sysvals` AS sysvals)) WHERE sysval_value_id = ) - error was: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1
Backtrace:
0 /var/www/project/classes/w2p/Database/Query.class.php:1115 dprint()
1 /var/www/project/classes/w2p/Database/Query.class.php:1357 exec()
2 /var/www/project/classes/ui.class.php:246 loadResult()
3 /var/www/project/style/w2p-snowball/header.php:123 getTZAwareTime()
4 /var/www/project/index.php:267 require()
TagsNo tags attached.
Attached Files

-Relationships
related to 0000503closedcaseydk v2.1 Release (Closed) Some users pref TIMEZONE incorrect after upgrade to 2.0 
+Relationships

-Notes

~0001113

caseydk (administrator)

Before attempting to upgrade, please try switching back to the base theme.

Based on this - http://web2project.net/forums/viewtopic.php?t=2321 - that may make some things simpler.

~0001122

laussetdelon (reporter)

I changed my theme on the source release. Then disconnect
Upgrade then same error

ERROR: /var/www/project/classes/w2p/Database/Query.class.php(1115) : query failed(SELECT sysval_value FROM ((`sysvals` AS sysvals)) WHERE sysval_value_id = ) - error was: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1
Backtrace:
0 /var/www/project/classes/w2p/Database/Query.class.php:1115 dprint()
1 /var/www/project/classes/w2p/Database/Query.class.php:1357 exec()
2 /var/www/project/classes/ui.class.php:246 loadResult()
3 /var/www/project/style/web2project/header.php:123 getTZAwareTime()
4 /var/www/project/index.php:267 require()

~0001123

laussetdelon (reporter)

see sysvals table attached

~0001125

caseydk (administrator)

Check out r1230 for this one. I've patched it and added some useful warning/notice messages.

~0001127

laussetdelon (reporter)

Still the error displayed but, links to Upgrade Timezone and Release are displayed and usable.
Considered as closed

~0001128

caseydk (administrator)

Fixed, will be Closed with 2.0.1.
+Notes

-Issue History
Date Modified Username Field Change
2010-07-06 07:48 laussetdelon New Issue
2010-07-06 12:34 caseydk Relationship added related to 0000503
2010-07-06 12:37 caseydk Note Added: 0001113
2010-07-06 12:40 caseydk Category System Admin => Core Infrastructure
2010-07-06 21:36 caseydk Priority normal => immediate
2010-07-08 00:29 laussetdelon Note Added: 0001122
2010-07-08 00:40 laussetdelon File Added: sysvlas.jpg
2010-07-08 00:41 laussetdelon Note Added: 0001123
2010-07-08 00:54 laussetdelon File Added: sysvals2.jpg
2010-07-08 00:56 laussetdelon File Added: sysvals3.jpg
2010-07-08 00:56 laussetdelon File Added: sysvals4.jpg
2010-07-08 00:57 laussetdelon File Added: sysvals5.jpg
2010-07-08 00:57 laussetdelon File Added: sysvals6.jpg
2010-07-08 00:57 laussetdelon File Added: sysvals11.jpg
2010-07-08 09:01 caseydk Note Added: 0001125
2010-07-08 09:01 caseydk Status new => feedback
2010-07-09 03:34 laussetdelon Note Added: 0001127
2010-07-09 05:28 caseydk Note Added: 0001128
2010-07-09 05:28 caseydk Status feedback => closed
2010-07-09 05:28 caseydk Resolution open => fixed
+Issue History